/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.bean;

import com.google.gson.annotations.SerializedName;

/**
 * SignUpAgreeItemBean
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 17.]   [최초 작성]
 * @since 2018. 9. 17.
 */
public class SignUpAgreeItemBean extends TextBean {

  @SerializedName("isRequired")
  private boolean isRequired;
  @SerializedName("detailUrl")
  private String detailUrl;
  @SerializedName("isChecked")
  private boolean isChecked;
  @SerializedName("isEnabled")
  private boolean isEnabled = true;
  // text 는 부모 클래스에 있음

  public SignUpAgreeItemBean(String text) {
    super(text);
  }

  public SignUpAgreeItemBean(String text, boolean isRequired, String detailUrl) {
    super(text);
    this.isRequired = isRequired;
    this.detailUrl = detailUrl;
  }

  public boolean isRequired() {
    return isRequired;
  }

  public void setRequired(boolean required) {
    isRequired = required;
  }

  public boolean isChecked() {
    return isChecked;
  }

  public void setChecked(boolean checked) {
    isChecked = checked;
  }

  public boolean isEnabled() {
    return isEnabled;
  }

  public void setEnabled(boolean enabled) {
    isEnabled = enabled;
  }

  public String getDetailUrl() {
    return detailUrl;
  }

  public void setDetailUrl(String detailUrl) {
    this.detailUrl = detailUrl;
  }
}
